while(True) :
    a,b,c = map(int, input().split())
    if a==b==c==0 :
        break

    if 2 * max(a,b,c) >= sum([a,b,c]) :
        print("Invalid")
    elif a==b==c :
        print("Equilateral")
    elif a==b or a==c or b==c :
        print("Isosceles")
    else :
        print("Scalene")